Images (gCube Templates Portlet 4.5.0-SNAPSHOT API)
Date: 2013-12-11

org.gcube.portlets.user.templates.client.components.images

## Interface Images

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface Images
      extends com.google.gwt.resources.client.ClientBundle

  This `ImageBundle` is used for all the button icons. Using an image bundle allows all of these images to be packed into a single image, which saves a lot of HTTP requests, drastically improving startup time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.ImageResource` | `attr_multi()`
    `com.google.gwt.resources.client.ImageResource` | `attr_unique()`
    `com.google.gwt.resources.client.ImageResource` | `comment_area()`
    `com.google.gwt.resources.client.ImageResource` | `heading_1()`
    `com.google.gwt.resources.client.ImageResource` | `heading_2()`
    `com.google.gwt.resources.client.ImageResource` | `heading_3()`
    `com.google.gwt.resources.client.ImageResource` | `heading_4()`
    `com.google.gwt.resources.client.ImageResource` | `heading_5()`
    `com.google.gwt.resources.client.ImageResource` | `image()`
    `com.google.gwt.resources.client.ImageResource` | `instruction_area()`
    `com.google.gwt.resources.client.ImageResource` | `page_break()`
    `com.google.gwt.resources.client.ImageResource` | `repetitive()`
    `com.google.gwt.resources.client.ImageResource` | `simple_text()`
    `com.google.gwt.resources.client.ImageResource` | `table()`
    `com.google.gwt.resources.client.ImageResource` | `text_image()`
    `com.google.gwt.resources.client.ImageResource` | `text_text()`
    `com.google.gwt.resources.client.ImageResource` | `text()`
    `com.google.gwt.resources.client.ImageResource` | `textTableImage()`
    `com.google.gwt.resources.client.ImageResource` | `title()`

- - ### Method Detail

    - #### title

          @ClientBundle.Source(value="title.png")
          com.google.gwt.resources.client.ImageResource title()

    - #### heading_1

          @ClientBundle.Source(value="heading_1.png")
          com.google.gwt.resources.client.ImageResource heading_1()

    - #### heading_2

          @ClientBundle.Source(value="heading_2.png")
          com.google.gwt.resources.client.ImageResource heading_2()

    - #### heading_3

          @ClientBundle.Source(value="heading_3.png")
          com.google.gwt.resources.client.ImageResource heading_3()

    - #### heading_4

          @ClientBundle.Source(value="heading_4.png")
          com.google.gwt.resources.client.ImageResource heading_4()

    - #### heading_5

          @ClientBundle.Source(value="heading_5.png")
          com.google.gwt.resources.client.ImageResource heading_5()

    - #### image

          @ClientBundle.Source(value="image.png")
          com.google.gwt.resources.client.ImageResource image()

    - #### text

          @ClientBundle.Source(value="text.png")
          com.google.gwt.resources.client.ImageResource text()

    - #### textTableImage

          @ClientBundle.Source(value="text-table-image.png")
          com.google.gwt.resources.client.ImageResource textTableImage()

    - #### simple_text

          @ClientBundle.Source(value="simple_text.png")
          com.google.gwt.resources.client.ImageResource simple_text()

    - #### table

          @ClientBundle.Source(value="table.png")
          com.google.gwt.resources.client.ImageResource table()

    - #### comment_area

          @ClientBundle.Source(value="comment_area.png")
          com.google.gwt.resources.client.ImageResource comment_area()

    - #### attr_multi

          @ClientBundle.Source(value="attr_multi.png")
          com.google.gwt.resources.client.ImageResource attr_multi()

    - #### attr_unique

          @ClientBundle.Source(value="attr_unique.png")
          com.google.gwt.resources.client.ImageResource attr_unique()

    - #### instruction_area

          @ClientBundle.Source(value="instruction_area.png")
          com.google.gwt.resources.client.ImageResource instruction_area()

    - #### page_break

          @ClientBundle.Source(value="page_break.png")
          com.google.gwt.resources.client.ImageResource page_break()

    - #### text_text

          @ClientBundle.Source(value="text_text.png")
          com.google.gwt.resources.client.ImageResource text_text()

    - #### text_image

          @ClientBundle.Source(value="text_image.png")
          com.google.gwt.resources.client.ImageResource text_image()

    - #### repetitive

          @ClientBundle.Source(value="repetitive.png")
          com.google.gwt.resources.client.ImageResource repetitive()

Copyright © 2013. All Rights Reserved.